BEGIN ~TCWGRUF1~ 2

IF WEIGHT #4 ~RandomNum(4,1)~ THEN BEGIN 0
  SAY ~Is it a fight ye're lookin' for?  I don't like th' look o' ye.~
  IF ~~ THEN EXIT
END

IF WEIGHT #5 ~RandomNum(4,2)~ THEN BEGIN 1
  SAY ~Beat it, <GIRLBOY>.~
  IF ~~ THEN EXIT
END

IF WEIGHT #6 ~RandomNum(4,3)~ THEN BEGIN 2
  SAY ~You just got off th' bleedin' ship, aye?  Ye sure smells like it!  Haw ha!~
  IF ~~ THEN EXIT
END

IF WEIGHT #7 ~RandomNum(4,4)~ THEN BEGIN 3
  SAY ~Ye doesn't look like ye belongs in the docks, surely.  There's people here that'll rob ye blind quicker 'an looks at ye.~
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~IsValidForPartyDialog("TCBUR") RandomNum(2,1) Global("TCWGRUF1Bur","TC1000",0)~ THEN BEGIN 4
  SAY ~Whoo-hoo!  Look at th' one, there!  Aye, she be a looker!  How 'bout it, lovely one?~
  IF ~~ THEN DO ~SetGlobal("TCWGRUF1Bur","TC1000",1)~ EXTERN ~TCBURJ~ BurRuffian
END

IF WEIGHT #1 ~IsValidForPartyDialog("TCALTHON") RandomNum(2,2) Global("TCWGRUF1Althon","TC1000",0)~ THEN BEGIN 5
  SAY ~Ye're all a bunch o' bleeders, I bet.  Ha ha!~
  IF ~~ THEN DO ~SetGlobal("TCWGRUF1Althon","TC1000",1)~ EXTERN ~TCALTHOJ~ AlthonRuffian
END

IF WEIGHT #2 ~IsValidForPartyDialog("TCCATH") RandomNum(2,1) Global("TCWGRUF1Cath","TC1000",0)~ THEN BEGIN 6
  SAY ~Hah!  Look at th' mealy-faced one o'er there... ye looks like ye couldn't hold yer own in a tussle with a wet sack, spell begger!~
  IF ~~ THEN DO ~SetGlobal("TCWGRUF1Cath","TC1000",1)~ EXTERN ~TCCATHJ~ CathRuffian
END

IF WEIGHT #3 ~IsValidForPartyDialog("TCFALA") RandomNum(2,2) Global("TCWGRUF1Fala","TC1000",0)~ THEN BEGIN 7
  SAY ~Ehhh, I've seen ye at Madam Daisy's, haven't I, girlie?  How about it, then?  I've got three coppers for a roll in th' hay, hey?~
  IF ~~ THEN DO ~SetGlobal("TCWGRUF1Fala","TC1000",1)~ EXTERN ~TCFALAJ~ FalaRuffian
END

IF ~~ THEN BEGIN Backoff
  SAY ~Eh?  Sud--  Oh!  Easy there governor, no need for that.  I think I'll be going now.~
  IF ~~ THEN DO ~EscapeArea()~ EXIT
END


APPEND ~TCALTHOJ~

IF ~~ THEN BEGIN AlthonRuffian
  SAY ~You will surely pay for your insolence, fool... in the next life if not in this one.  Should I have someone I know take you to Suderham?~
  IF ~~ THEN EXTERN ~TCWGRUF1~ Backoff
END
END

APPEND ~TCBURJ~

IF ~~ THEN BEGIN BurRuffian
  SAY ~Hmmm, a chance to bed down a flea ridden low life scum.  I think not.  You're not even worthy of my blade between your ribs.~
  IF ~~ THEN EXIT
END
END

APPEND ~TCCATHJ~

IF ~~ THEN BEGIN CathRuffian
  SAY ~If that comment was for me, I suggest you rethink it before I have you begging at my feet for mercy before I sacrifice your worthless soul to Shar.~
  IF ~~ THEN EXIT
END
END

APPEND ~TCFALAJ~

IF ~~ THEN BEGIN FalaRuffian
  SAY ~Madam Daisy's?  As if you could afford anything other than your own sister.  Begone vermin.~
  IF ~~ THEN EXIT
END
END
